Bug 10388 - acq edited items showing 'null's
Summary: acq edited items showing 'null's
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-31 21:46 UTC by Nicole C. Engard
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
edited item says null (22.87 KB, image/png)
2013-05-31 21:46 UTC, Nicole C. Engard
Details
Bug 10388: Does not display 'null' after editing an item on receiving (1.49 KB, patch)
2015-04-07 15:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10388: Does not display 'null' after editing an item on receiving (1.77 KB, patch)
2015-04-11 05:12 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 10388: Does not display 'null' after editing an item on receiving (1.84 KB, patch)
2015-04-20 05:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-05-31 21:46:21 UTC
Created attachment 18567 [details]
edited item says null

When editing items on the receipt page in acquisitions you see 'null' in all fields that have no value. This used to be a blank - or clear column, but now in 3.10.x and 3.12 and master it's showing null. It should be blank instead.
Comment 1 Katrin Fischer 2013-06-16 07:21:15 UTC
Just a note that this bug goes back quite far - I have encountered it in 3.10.2 recently.
Comment 2 Katrin Fischer 2014-07-12 14:30:42 UTC
This is still valid.
Comment 3 Jonathan Druart 2015-04-07 15:06:25 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-04-11 05:12:57 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-04-20 05:51:19 UTC
Created attachment 38152 [details] [review]
[PASSED QA] Bug 10388: Does not display 'null' after editing an item on receiving

After editing an item on receiving, 'null' is displayed if no value is
defined for a field. It should be blank.

Test plan:
0/ Set AcqCreateItem to 'ordering'
1/ Go on the receipt page page
2/ Edit an item
3/ Does not fill all values
4/ Confirm that undefined values are replaced with an empty string

NOTE: I think you meant receive. Editing requires at least clicking
      the dropdown value, even if you don't change it before
      clicking save. null's appeared. Post patch application was
      able to get nulls to disappear. :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2015-04-20 05:51:52 UTC
One question I won't have to answer in training again :) yay!
Comment 7 Tomás Cohen Arazi 2015-05-04 18:59:07 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-05-17 05:34:43 UTC
Pushed to 3.18.x will be in 3.18.7